Subject: Re: W:MCSCF GAMESS-US input?

From: Wai-To Chan <chan..at..curl.gkcl.yorku.ca>
Date: Sat, 28 May 2005 02:24:58 -0400 (EDT)

From: "Gustavo, Alberto, Mercier" <gamercier -()- yahoo.com>

<<<<<<<<<<<<<

..................
1) Set RUNTYP=MCSCF in CONTRL
2) Set GUESS GUESS=MOREAD NORB=426  to read all the orbitals, alpha and beta using  the VEC namelist
3) Set DET NCORE=87 NACT=14 NELS=9 GROUP=C2V ISTSYM=1 NSTATE=1

..................

Question 1)

It is not clear to me how the program will pick up the correct number of alpha and beta orbitals 
with the above input. It seems that something is
missing to force the program to split the active orbitals into 10 alpha and 4i
beta orbitals. (This may be easier with the 5 spherical d orbitals. i
In this case NACT=13. By making Sz=5/2 this will pick 5 alpha orbitals i
for the active space and split the rest evenly between alphas and betas.)

Does any one have any suggestions or can shed light on this problem? 
................

   You input specifies 87 core, 14 active orbitals and 9
active electrons. With 5 odd electrons there will be 
2 doubly occupied and 5 singly occupied and 7 vacant orbitals 
in the MCSCF active space. I never used UHF orbitals as starting 
guess for MCSCF myself. The way I understand how Gamess would handle
your input is that it will pick up the top 87+14=101 orbitals from VEC. 
The first 87 will be the core MOs, the following 14 correspond to the 
sequence of doubly and singly occupied and virtual orbitals implied 
in you $DET card. 

  Your VEC card generated from a UHF run begins with a set of 
UHF alpha MOs followed by the same number of beta MOs. The number
should equal the number of cartesian basis functions. I suppose
it is the same number as NORB(426). I presume your MCSCF run will 
pick up the 88--89th UHF alpha MOs as the first two doubly occupied
MOs, the 90--94th alpha MOs as the 5 singly occupied MOs and 
the following 7 vacant alpha UHF MOs as the virtual MOs 
in the active wavefunction space. The entire set of beta UHF-MOs 
in VEC will be ignored as far as I can understand. 

   Idealy the final result of a MCSCF run is independent of the
starting guess orbitals. In reality the guess MOs should 
be "sensible". So it is prudent to use a set 
of guess MOs that emulate the occupancy of the final MCSCF orbitals closely.
You may avoid the confusion over the splitting between alpha and 
beta electrons in the MCSCF active space by using ROHF instead of UHF. 

  A better method of generating initial guess I would recommend 
is to use UHF-natural orbitals. 

	In your UHF input file specify UHFNOS=.TRUE. in the $SCF card. 
You will obtain a set of unrestricted natural orbitals in a VEC card
in the punch file. Note that the occupancies  of the UNOs are also 
indicated. Use the UNOs instead of the UHF-MOs for your MCSCF runs.
You can base your selection of active space on the occupancies of the
UNOs. You will find that the SOMOs will have a  fractional occupancy near unity. 
The occupancies of the virtual MOs following the SOMO diminish gradually. 
The highest doubly occpied MO and 
the few preceeding MOs will have an occupancy smaller than 2. 
UNOs falling into the occupancy range of 0.02--1.98
will make good starting guess for your MCSCF run. 

Wai-To Chan